View Issue Details

IDProjectCategoryView StatusLast Update
15766Bug reportsSurvey editingpublic2020-03-09 15:36
ReporterJHoeck Assigned ToJHoeck  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.x 
Target Version4.0.x 
Summary15766: Upload multiple files - error message displayed - upload works
Description

Can not upload multiple files correctly. Though some of them are displayed correctly in the file manager. Also an error message will be thrown, but upload works correctly.

Acceptance criteria:

  1. Upload single file to the file manager.
  2. Upload multiple files to the file manager.
  3. Do not throw an error message, if its successful.
Steps To Reproduce

How to find the file manager inside limesurvey:

1.Login as user.
2.Inside the left side menu click at 'Settings'.
3.Click at 'Resources'.
4.On the right side the file manager will appear.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.01
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionDont know
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4

Relationships

related to 15761 closedJHoeck Feature requests Filemanager improvements 

Activities

JHoeck

JHoeck

2020-02-03 15:14

developer   ~55672

Fixed with queue workaround. Only works with the drag and drop option.

Branch: bug/op-544-upload-multiple-files-error

JHoeck

JHoeck

2020-02-05 16:13

developer   ~55765

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29509

Related Changesets

LimeSurvey: master 9b523bdc

2020-02-03 15:11:07

JHoeck

Details Diff
Fixed Issue 15766: Upload multiple files - error message Affected Issues
15766
mod - assets/packages/filemanager/src/App.vue Diff File
mod - assets/packages/filemanager/src/components/NavBar.vue Diff File
mod - assets/packages/filemanager/src/components/subcomponents/_uploadModal.vue Diff File

LimeSurvey: master d93e0f6f

2020-02-03 15:11:07

JHoeck

Details Diff
Fixed Issue 15766: Upload multiple files - error message Affected Issues
15766
mod - assets/packages/filemanager/src/App.vue Diff File
mod - assets/packages/filemanager/src/components/NavBar.vue Diff File
mod - assets/packages/filemanager/src/components/subcomponents/_uploadModal.vue Diff File

Issue History

Date Modified Username Field Change
2020-01-24 11:16 JHoeck New Issue
2020-01-24 11:16 JHoeck Status new => assigned
2020-01-24 11:16 JHoeck Assigned To => JHoeck
2020-01-24 11:23 JHoeck Relationship added related to 15761
2020-01-24 11:36 JHoeck Description Updated View Revisions
2020-01-24 11:36 JHoeck Steps to Reproduce Updated View Revisions
2020-01-24 13:26 JHoeck Status assigned => confirmed
2020-02-03 15:14 JHoeck Status confirmed => resolved
2020-02-03 15:14 JHoeck Resolution open => fixed
2020-02-03 15:14 JHoeck Note Added: 55672
2020-02-05 16:13 JHoeck Changeset attached => LimeSurvey master 9b523bdc
2020-02-05 16:13 JHoeck Changeset attached => LimeSurvey master d93e0f6f
2020-02-05 16:13 JHoeck Note Added: 55765
2020-03-09 15:36 c_schmitz Status resolved => closed